<template>
  <div>
    <mt-page-title>
      <h1 class="has-text-weight-bold is-size-3">Liste des étapes</h1>
    </mt-page-title>
    <div>
      <div class="is-vcentered mt-marginless-bottom">
        <h3 class="has-text-weight-bold has-text-grey is-size-5 column">Nombre total d'étapes : {{ etapes.length }}</h3>
        <mt-list v-slot="{ item: etape }" :list="etapes">
          <mt-list-item>
            <div class="columns is-vcentered">
              <nuxt-link
                :to="{
                  name: 'profil-dashboard-etape-id-editer',
                  params: { profil: 'admin', id: etape.id },
                }"
                class="columns column mt-marginless-bottom"
              >
                <div class="column">{{ etape.code }}</div>
                <div class="column">{{ etape.nom }}</div>
                <div class="column">{{ etape.ordre }}</div>
                <div class="column">{{ etape.nomPluriel }}</div>
                <div class="column">{{ etape.description }}</div>
                <div class="column">{{ etape.descriptionPluriel }}</div>
              </nuxt-link>
            </div>
          </mt-list-item>
        </mt-list>
      </div>
    </div>
  </div>
</template>

<script>
import MtPageTitle from '~/components/base/page-title/index';
import MtList from '~/components/base/list/index';
import MtListItem from '~/components/base/list/list-item';

export default {
  layout: 'dashboard',
  components: {
    MtPageTitle,
    MtList,
    MtListItem,
  },
  async asyncData({ $api }) {
    const etapes = await $api.etapes.all();
    return {
      etapes,
      ouvertDelete: false,
      monTypeOrganisme: null,
    };
  },
};
</script>

<style scoped></style>
